<x-app-layout>
@extends('post.layout')
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Post Listing') }}
        </h2>
    </x-slot>
    <div class="py-12">  
      <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
          <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
           <div class="p-6 bg-white border-b border-gray-200">
    <!-- <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Post Listing</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-success" href="{{ route('post.create') }}"> Create New Product</a>
            </div>
        </div>
    </div>  -->
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h6>search</h6>
            </div>
            <div class="pull-right">
                <form name="p_search" action="" method="POST">
                <input type="text" name="post_search" place-holder="Search by User name Or post name">
                <input type="submit" value="Submit">
                </form>
            </div>
        </div>
    </div>
   
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif
   
    <table class="table table-bordered">
        <tr>
            <th>Sl no</th>
            <th>Post Description</th>
            <th>Created By</th>
            <!--<th>Created On</th>
            <th>Updated On</th>-->
            <th width="280px">Action</th>
        </tr>
        @if (isset($post))
        @foreach ($post as $newpost)
        <tr>
            <td>{{ ++$i }}</td>
            <td>{{ $newpost->post_desc }}</td>
            <td>{{ $newpost->name }}</td>
            <!--<td>{{ $newpost->created_at }}</td>
            <td>{{ $newpost->updated_at }}</td>-->
            
            <td>
                <form action="{{ route('post.destroy',$newpost->id) }}" method="POST">   
                    <a class="btn btn-info" href="{{ route('post.show',$newpost->id) }}"><i class="fa fa-eye"></i> Show</a>    
                    <!-- <a class="btn btn-primary" href="{{ route('post.edit',$newpost->id) }}">Edit</a> -->
                    @csrf
                    @method('DELETE')      
                    <button type="submit" class="btn btn-danger"><i class="fa fa-trash"></i> Delete</button>
                </form>
            </td>
        </tr>
        @endforeach
        @endif
        @if (!isset($post))
        <tr>
            <td>No Post available</td>
        </tr>
        @endif
    </table>
    </div></div></div>
    {!! $post->links() !!}
    </div>
</x-app-layout>
