<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Scraper') }}
        </h2>
    </x-slot>

    
    <div class="py-12">
        <div class="sm:px-6 lg:px-10">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 bg-white border-b border-gray-200">
                    <div class="row">
                        <div class="col-lg-12">
                            <p style="text-align: right"><button id="btn-export" type="button" class="btn btn-primary">Export To Excel</button></p>
                            <table class="table table-bordered table-stripped" id="example">
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <th>Country</th>
                                        <th>Retailer / Manufacturer</th>
                                        <th>Appliance Type</th>
                                        <th>Model</th>
                                        <th>Category</th>
                                        <th>Price</th>
                                        <th>Promotion</th>
                                        <th>Scraper Datetime</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($scraperData as $sd)
                                        <tr>
                                            <td>{{ $sd->date }}</td>
                                            <td>{{ $sd->country }}</td>
                                            <td>{{ $sd->retailer_manf }}</td>
                                            <td>{{ $sd->appliance_type }}</td>
                                            <td>{{ $sd->model }}</td>
                                            <td>{{ $sd->category }}</td>
                                            <td>{{ $sd->price }}</td>
                                            <td>{{ $sd->promotion }}</td>
                                            <td>{{ $sd->created_date }}</td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
