<x-app-layout>
    <x-slot name="header">
        <h4 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Add Advertise Form') }}
        </h4>
    </x-slot>
    <div class="py-12">  
      <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
          <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
           <div class="p-6 bg-white border-b border-gray-200">
    <div class="container mt-2">
        
        <div class="row">
            <div class="col-lg-12 margin-tb">
                <div class="pull-left mb-2">
                    <h4>Add Advertise</h4>
                </div>
                <div class="pull-right">
                    <a class="btn btn-primary" href="{{ route('advertises.index') }}"> Back</a>
                </div>
            </div>
        </div>
        @if(session('status'))
        <div class="alert alert-success mb-1 mt-1">
        {{ session('status') }}
        </div>
        @endif
        <form action="{{ route('advertises.store') }}" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="row">
        <div class=" col-md-8 form-group row px-4">
            <strong>Advertise Title:</strong>
            <input type="text" name="title" class="form-control" placeholder="Advertise Title" required>
            @error('title')
            <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
            @enderror
        </div>
        <div class=" col-md-8 form-group row px-4">
                <strong>Advertise Image:</strong>
                <input type="file" name="image_url" class="form-control" required>
                @error('image_url')
                <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                @enderror
                
        </div>
        <div class=" col-md-8 form-group row px-4">
            <strong>External Link:</strong>
                <input type="text" name="link" class="form-control" placeholder="Link" required>
                @error('link')
                <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                @enderror
            
        </div>
        <div class=" col-md-8 form-group row px-4">
            <strong>Description:</strong>
                
                <textarea id="desciprtion" name="desciprtion" rows="4" cols="50" required>
                
                </textarea>
                @error('desciprtion')
                <div class="alert alert-danger mt-1 mb-1">{{ $message }}</div>
                @enderror
            
        </div>
        <div class="col-md-8">
                <button type="submit" class=" inline-flex items-center px-4 py-2 bg-gray-800 border border-transparent rounded-md font-semibold text-xs text-white uppercase tracking-widest hover:bg-gray-700 active:bg-gray-900 focus:outline-none focus:border-gray-900 focus:ring ring-gray-300 disabled:opacity-25 transition ease-in-out duration-150">Submit</button>
        </div>
        </div>
        </form>
</div>
</div></div></div></div>
</x-app-layout>