
<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Advertise Listing') }}
        </h2>
    </x-slot>
    <div class="py-12">  
      <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
          <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
           <div class="p-6 bg-white border-b border-gray-200">
<div class="row">
<div class="col-lg-12 margin-tb">
<div class="pull-left">
<h2></h2>
</div>
<div class="pull-right mb-2">
<a class="btn btn-secondary btn-sm" href="{{ route('advertises.create') }}"> Create Advertise</a>
</div>
</div>
</div>
@if ($message = Session::get('success'))
<div class="alert alert-success">
<p>{{ $message }}</p>
</div>
@endif
<table class="table table-bordered">
<tr>
<th>S.No</th>
<th>Advertise Title</th>
<th>Advertise Image</th>
<th>Advertise Link</th>
<th width="280px">Action</th>
</tr>
@foreach ($advertises as $advertise)
<tr>
<td>{{ $advertise->id }}</td>
<td>{{ $advertise->title }}</td>
<td><img src="{{url('/images/'.$advertise->image_url)}}" alt="" title="" style="width: 200px;height: 200px; border: 1px solid #ddd; margin: 5px;}"></td>
<td>{{ $advertise->link }}</td>
<td>
<form action="{{ route('advertises.destroy',$advertise->id) }}" method="Post">
<a class="btn btn-primary btn-sm" href="{{ route('advertises.edit',$advertise->id) }}"><i class="fa fa-edit"></i> Edit</a>
@csrf
@method('DELETE')
<button type="submit" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i> Delete</button>
</form>
</td>
</tr>
@endforeach
</table>
</div></div></div>
{!! $advertises->links() !!}
</div>
</x-app-layout>